namespace Harmonia.Core.Playlists;

public interface IPlaylistManager
{
    Playlist? CurrentPlaylist { get; set; }

    void AddPlaylist();
    void RemovePlaylist(Playlist playlist);

    event EventHandler? CurrentPlaylistChanged;
    event EventHandler<PlaylistAddedEventArgs> PlaylistAdded;
    event EventHandler<PlaylistRemovedEventArgs> PlaylistRemoved;
}